curl --request POST \
--url https://east.sandbox.spade.com/enrichments/{enrichmentId}/refund \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"refundNotes": "Frequently refunded item.",
"occurredAt": "2022-06-15 18:27:51Z",
"isFraud": false,
"fraudNotes": "Merchant is believed to commonly be used for card testing."
}
'import requests
url = "https://east.sandbox.spade.com/enrichments/{enrichmentId}/refund"
payload = {
"refundNotes": "Frequently refunded item.",
"occurredAt": "2022-06-15 18:27:51Z",
"isFraud": False,
"fraudNotes": "Merchant is believed to commonly be used for card testing."
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refundNotes: 'Frequently refunded item.',
occurredAt: '2022-06-15 18:27:51Z',
isFraud: false,
fraudNotes: 'Merchant is believed to commonly be used for card testing.'
})
};
fetch('https://east.sandbox.spade.com/enrichments/{enrichmentId}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"details": "Chargeback successfully reported."
}{
"invalidField": [
"This field is required."
]
}{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Report that a refund occurred
An endpoint for reporting that a refund has occurred on a transaction associated with an enrichment. The refundNotes property can be used to provide information about the refund. The isFraud, fraudType, and fraudNotes are used to provide information about fraud or suspected fraud related to this refund. Note that this transaction must previously have been enriched to report the refund.
Authorizations
Path Parameters
The enrichmentId of enrichment associated with the transaction where a refund occurred.
Body
Any additional details related to a refund
512"Frequently refunded item."
The time the refund occurred. Formatted as an ISO 8601 date time.
"2022-06-15 18:27:51Z"
A boolean indicating if this transaction was suspected to involve fraud.
false
The type of fraud suspected to have occurred. This field can only be provided if isFraud is true.
card_not_present, card_testing, chargeback_fraud, counterfeit_card, merchant_fraud, other, phishing, stolen_card, unknown, none Any additional details related to fraud suspected to have occurred on the associated transaction. This field can only be provided if isFraud is true.
512"Merchant is believed to commonly be used for card testing."
Response
Refund reported successfully.
Response for reporting any kind of enrichment feedback.
"Chargeback successfully reported."

